API DocsAI Model APIsChatOpenAI
Responses Format
OpenAI Responses API for creating model responses.
Responses Format
OpenAI Responses API for creating model responses. Supports multi-turn conversations, tool calling, reasoning, and more.
Base URL
https://autorouter.top— Production
Authentication
BearerAuth: http (bearer)
Authenticate using a Bearer Token.
Format: Authorization: Bearer sk-xxxxxx
Endpoints
POST /v1/responses
Responses Format
OpenAI Responses API for creating model responses. Supports multi-turn conversations, tool calling, reasoning, and more.
Request Body
Content-Type: application/json
Example:
{
"model": "gpt-5.4-nano",
"input": "Hello"
}Properties:
| Name | Type | Required | Description |
|---|---|---|---|
model | string | Yes | Model ID |
input | string | Yes | Input content. Can also be an array of message objects for multi-turn conversations. |
instructions | string | No | - |
max_output_tokens | integer | No | - |
temperature | number | No | - |
top_p | number | No | - |
stream | boolean | No | - |
tools | array | No | - |
tool_choice | string | No | Tool selection mode. Can also be an object to specify a particular function. |
reasoning | object | No | - |
previous_response_id | string | No | - |
truncation | string | No | - |
Responses
200: Successfully created response
Content-Type: application/json
Request Example
curl -X POST "https://autorouter.top/v1/responses" \
-H "Content-Type: application/json" \
-d '{
"model": "gpt-5.4-nano",
"input": "Hello"
}'Response Examples
{
"id": "string",
"object": "response",
"created_at": 0,
"status": "completed",
"model": "string",
"output": [
{
"type": "string",
"id": "string",
"status": "string",
"role": "string",
"content": [
{
"type": "string",
"text": "string"
}
]
}
],
"usage": {
"prompt_tokens": 0,
"completion_tokens": 0,
"total_tokens": 0,
"prompt_tokens_details": {
"cached_tokens": 0,
"text_tokens": 0,
"audio_tokens": 0,
"image_tokens": 0
},
"completion_tokens_details": {
"text_tokens": 0,
"audio_tokens": 0,
"reasoning_tokens": 0
}
}
}